import { EventEmitter } from '../../stencil-public-runtime';
export declare class BackgroundJobs {
    isExpanded: boolean;
    isRefresh: boolean;
    isShowJob: Set<string>;
    jobCompleted: EventEmitter<void>;
    private socketConnectionNamespace;
    private socketZwizNamespace;
    private completedStates;
    private activeStates;
    private failedStates;
    componentWillLoad(): Promise<void>;
    disconnectedCallback(): void;
    private onInitConnectionEvent;
    private onZwizSyncEvent;
    toggleExpand: () => void;
    getJobInfo(state: string): {
        title: string;
        icon: any;
    };
    render(): any;
}
